#!/usr/bin/env python3

from os import PathLike
from yaml import safe_load
import re
## custom modules
from cb_dba.Logger import *


logger = logging.getLogger(__name__)
logger.setLevel(level=logging.DEBUG)


def parseString(string):
    if re.match(r'[A-Z]?[a-z0-9]+|[A-Z]+(?=[A-Z]|$)', string):
        return re.findall(r'[A-Z]?[a-z0-9]+|[A-Z]+(?=[A-Z]|$)', string)
    else:
        raise Exception('Could not determine pattern for parsing.')


def loadYaml(path: str | PathLike):
    """
    Returns a YAML file contents.
    """
    with open(path, 'r') as f:
        return safe_load(f)
